stages:
  - test
  - staging
  - production

before_script:
  - cp /home/reinitialized/protected-files/botAuthentication.json ./
  - cp /home/reinitialized/protected-files/luvit ./
  - sudo chown gitlab-runner ./ -R

job_run-tests:
  stage: test
  script:
  - ./launch.sh

job_deploy-staging:
  stage: staging
  only:
    refs:
      - indev
  environment:
    name: staging
    url: https://$CI_JOB_STAGE.$CI_PROJECT_NAME.bleu-pigs.club
  script:
    - ./launch.sh

job_deploy-production:
  stage: production
  only:
    refs:
      - master
  when:
    manual
  environment:
    name: production
    url: https://$CI_JOB_STAGE.$CI_PROJECT_NAME.bleu-pigs.club
  script:
    - ssh reinitialized@192.168.1.203 "/home/reinitialized/deployProduction.sh $CI_JOB_STAGE $CI_PROJECT_NAME $CI_COMMIT_REF_NAME"

      